[config]

PROCESS_LIST=GridStat

LOOP_BY=INIT
INIT_TIME_FMT=%Y%m%d%H
INIT_BEG=2025051900
INIT_END=2025051900
INIT_INCREMENT=24H
#LEAD_SEQ=begin_end_incr(0,36,1)
LEAD_SEQ=24

MODEL=OK_1km_ugrid

FCST_VAR1_NAME=refl10cm_max
FCST_VAR1_LEVELS=L0
FCST_VAR1_THRESH=>=20,>=30,>=40,>=50
FCST_VAR1_OPTIONS=set_attr_lead="{lead?fmt=%H}";

OBS_VAR1_NAME=MergedReflectivityQCComposite
OBS_VAR1_LEVELS=Z500
OBS_VAR1_THRESH=>=20,>=30,>=40,>=50
OBS_VAR1_OPTIONS=censor_thresh=[eq-999,<-35]; censor_val=[-9999, -35];

FCST_GRID_STAT_INPUT_DIR={INPUT_BASE}/data/fcst/mpas/ugrid/{MODEL}/{init?fmt=%Y%m%d%H}/ens_1
FCST_GRID_STAT_INPUT_TEMPLATE=diag.{valid?fmt=%Y}-{valid?fmt=%m}-{valid?fmt=%d}_{valid?fmt=%H}.00.00.nc
OBS_GRID_STAT_INPUT_DIR={INPUT_BASE}/data/obs/mrms
OBS_GRID_STAT_INPUT_TEMPLATE=MRMS_MergedReflectivityQCComposite_00.50_{valid?fmt=%Y%m%d-%H%M%S}.grib2
OBS_GRID_STAT_FILE_WINDOW_BEG=-300
OBS_GRID_STAT_FILE_WINDOW_END=300

GRID_STAT_UGRID_DATASET=mpas
GRID_STAT_UGRID_COORDINATES_FILE={INPUT_BASE}/data/fcst/mpas/ugrid/{MODEL}/init.nc
GRID_STAT_UGRID_MAX_DISTANCE_KM=50

#GRID_STAT_REGRID_TO_GRID=/home/dadriaan/projects/mpas/data/masks/regrid_ok_1km_mask.nc
GRID_STAT_REGRID_TO_GRID=G211
GRID_STAT_MASK_GRID=FULL
GRID_STAT_TIME_OFFSET_WARNING=300
LOG_GRID_STAT_VERBOSITY=4

GRID_STAT_OUTPUT_DIR={OUTPUT_BASE}/{MODEL}/grid_stat
GRID_STAT_OUTPUT_FLAG_CNT=STAT
GRID_STAT_OUTPUT_FLAG_CTC=STAT
GRID_STAT_OUTPUT_FLAG_CTS=STAT
GRID_STAT_OUTPUT_FLAG_SL1L2=STAT

OMP_NUM_THREADS=20
